This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 799757 - hdf5 make check fails on ARM
hdf5 make check fails on ARM
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: hdf5 (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2012-03-04 18:19 EST by Peter Robinson
Modified: 2013-02-06 02:13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-06 02:13:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2012-03-04 18:19:15 EST
The %check section fails on ARM

http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=554496

make  check-TESTS
make[2]: Entering directory `/builddir/build/BUILD/hdf5-1.8.8/build/test'
make[3]: Entering directory `/builddir/build/BUILD/hdf5-1.8.8/build/test'
===Serial tests in test begin Sun Mar  4 22:42:52 UTC 2012===
make[4]: Entering directory `/builddir/build/BUILD/hdf5-1.8.8/build/test'
============================
Testing  testhdf5 
============================
 testhdf5  Test Log
============================
For help use: /builddir/build/BUILD/hdf5-1.8.8/build/test/.libs/lt-testhdf5 -help
Linked with hdf5 version 1.8 release 8
Testing  -- Configure definitions (config) 
Testing  -- Encoding/decoding metadata (metadata) 
Testing  -- Checksum algorithm (checksum) 
Testing  -- Ternary Search Trees (tst) 
Testing  -- Memory Heaps (heap) 
Testing  -- Skip Lists (skiplist) 
Testing  -- Reference Counted Strings (refstr) 
Testing  -- Low-Level File I/O (file) 
Testing  -- Generic Object Functions (objects) 
Testing  -- Dataspaces (h5s) 
Testing  -- Dataspace coordinates (coords) 
Testing  -- Shared Object Header Messages (sohm) 
Testing  -- Attributes (attr) 
Testing  -- Selections (select) 
1279.79user 5.30system 24:21.54elapsed 87%CPU (0avgtext+0avgdata 29072maxresident)k
0inputs+0outputs (32major+100404minor)pagefaults 0swaps
make[4]: Leaving directory `/builddir/build/BUILD/hdf5-1.8.8/build/test'
make[3]: Leaving directory `/builddir/build/BUILD/hdf5-1.8.8/build/test'
make[2]: Leaving directory `/builddir/build/BUILD/hdf5-1.8.8/build/test'
make[1]: Leaving directory `/builddir/build/BUILD/hdf5-1.8.8/build/test'
make: Leaving directory `/builddir/build/BUILD/hdf5-1.8.8/build'
RPM build errors:
make[4]: *** [testhdf5.chkexe_] Error 1
make[3]: *** [build-check-s] Error 2
make[2]: *** [test] Error 2
make[1]: *** [check-am] Error 2
make: *** [check-recursive] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.eTCRj5 (%check)
    Bad exit status from /var/tmp/rpm-tmp.eTCRj5 (%check)
Comment 1 Orion Poplawski 2012-03-21 22:56:38 EDT
I don't have access to any ARM hardware, so not really sure how to help here.  Perhaps if there were more details.
Comment 2 Peter Robinson 2012-03-22 08:28:42 EDT
(In reply to comment #1)
> I don't have access to any ARM hardware, so not really sure how to help here. 
> Perhaps if there were more details.

You can test builds on the arm koji instance by running "arm-koji build --scratch f17 `fedpkg giturl`" from within the package's git checkout.

If there are testing that can be run by the ARM team and you can provide us instructions and what output you would like to see we can also do that.
Comment 3 Peter Robinson 2013-02-06 02:13:08 EST
Looks to be fixed

Note You need to log in before you can comment on or make changes to this bug.